## org.codehaus.groovy.grails.web.servlet.mvc.exceptions
Class CannotRedirectException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      org.codehaus.groovy.grails.web.servlet.mvc.exceptions.GrailsMVCException
                          org.codehaus.groovy.grails.web.servlet.mvc.exceptions.ControllerExecutionException
                              org.codehaus.groovy.grails.web.servlet.mvc.exceptions.CannotRedirectException

All Implemented Interfaces:
  groovy.lang.GroovyObject, Serializable

    public class CannotRedirectException

extends ControllerExecutionException
implements groovy.lang.GroovyObject

See Also:
  Serialized Form

Constructor Summary
`CannotRedirectException()`
`CannotRedirectException(String message)`
`CannotRedirectException(String message, Throwable t)`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CannotRedirectException

    public CannotRedirectException()

### CannotRedirectException

    public CannotRedirectException(String message,
                                   Throwable t)

### CannotRedirectException

    public CannotRedirectException(String message)

Method Detail

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project